<%@ page language="C#" autoeventwireup="true" validaterequest="false" inherits="admin_class_file, localhost_deploy" %>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
<html xmlns='http://www.w3.org/1999/xhtml' >
<head runat='server'>
<title>首页编辑页</title>
<link href='/admin/common/client.css' rel='stylesheet' type='text/css' />
<style>
#itemtable{
width:700px;
}
</style>
</head>
<body>
<br />

<script type="text/javascript" src="/common/client.js" charset="utf-8"></script>
<script type="text/javascript" src="/admin/manage.js" charset="utf-8"></script>
<script type='text/javascript'>
function Tip()
{
	//加入其它提示 
	var d = new Date(); 
	//alert("保存成功，请点击“返回” 按钮返回！");
	
	var s = d.getHours()+":";
	var i_value=d.getMinutes();
	if(i_value<10)
	{
		s+="0";
	}
	
	s+=i_value+":";
	
	i_value=d.getSeconds();
	
	if(i_value<10)
	{
		s+="0";
	}
	
	s+=i_value;
	
	
	
	$('tdtip').innerHTML="保存完成! "+s;
	
	setTimeout("$('tdtip').innerHTML='&nbsp;'","3000");
}

function SaveText()
{
	if(is_ie)
	{
		if(event.ctrlKey)
		{
			if(event.keyCode ==83)
			{
				top.o_parentFrame=window;
				$('type').value="1";
				$('frmitem').submit();
			}
		}
	}	
	 
}

function SaveToBack()
{
	top.o_parentFrame=window;
	$('type').value="0";
	
	$('frmitem').submit();
}

function ReturnPage(i_sel)
{
		
	if(typeof(DoReturn)=="function")
	{
		DoReturn(i_sel);//在返回前需要做的事情
	}
	
	window.open('/admin/function/listfile.aspx?dir='+$('dir').value,'_self');
	
}
</script>

<form target="fredo"  action="file.aspx" id="frmitem" name="frmitem"  method="post"  >
<input type="hidden" name="formdo" id="formdo" value="item" />
<input type="hidden" value="0" name="type" id="type" />
<input type="hidden" value="<%=Para("fn")%>" name="fn" id="fn" />
<input type="hidden" value="<%=Para("dir")%>" name="dir" id="dir" />
<table id='itemtable'>
<thead>
<tr>
<td ><%=Para("fn")%>文件内容</td>
</tr>
</thead>
<tr><td  height='1' id="tdtip" style="color:red;font-weight:bolder;font-size:14px;">&nbsp;</td></tr>
<tr><td ><textarea rows='25' style='width:700px;' class='inputbox'  name='C_Content' id='C_Content' onkeyup="SaveText()"><%=GetForbiddenText()%></textarea></td></tr>
<tr><td height='1'></td></tr>
<tr><td  align='center'>
<input type="checkbox" checked="checked" value="1" name="backup" />备份 
<input value=" 保存 " name="butsave" type="button" onclick="SaveToBack()" class="button" />&nbsp;  <input value=" 返回 " name="butreturn"  type="button" onclick="ReturnPage(0)" class="button" /> 
</td></tr>
</table>   
</form>

</body>
</html>   
